Package org.drinkless.tdlib

# Class TdApi.GetPassportAuthorizationForm

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PassportAuthorizationForm>
org.drinkless.tdlib.TdApi.GetPassportAuthorizationForm

Enclosing class:
  `TdApi`

public static class TdApi.GetPassportAuthorizationForm extends TdApi.Function<TdApi.PassportAuthorizationForm>
Returns a Telegram Passport authorization form for sharing data with a service.

Returns `PassportAuthorizationForm`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of the service's bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `nonce`
  Unique request identifier provided by the service.
  `String`
  `publicKey`
  Service's public key.
  `String`
  `scope`
  Telegram Passport element types requested by the service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPassportAuthorizationForm()`
  Default constructor for a function, which returns a Telegram Passport authorization form for sharing data with a service.
  `GetPassportAuthorizationForm(long botUserId, String scope, String publicKey, String nonce)`
  Creates a function, which returns a Telegram Passport authorization form for sharing data with a service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    User identifier of the service's bot.

  - ### scope

    public String scope
    Telegram Passport element types requested by the service.

  - ### publicKey

    public String publicKey
    Service's public key.

  - ### nonce

    public String nonce
    Unique request identifier provided by the service.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetPassportAuthorizationForm

    public GetPassportAuthorizationForm()
    Default constructor for a function, which returns a Telegram Passport authorization form for sharing data with a service.

    Returns `PassportAuthorizationForm`

  - ### GetPassportAuthorizationForm

    public GetPassportAuthorizationForm(long botUserId, String scope, String publicKey, String nonce)
    Creates a function, which returns a Telegram Passport authorization form for sharing data with a service.

    Returns `PassportAuthorizationForm`

    Parameters:
      `botUserId` - User identifier of the service's bot.
      `scope` - Telegram Passport element types requested by the service.
      `publicKey` - Service's public key.
      `nonce` - Unique request identifier provided by the service.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PassportAuthorizationForm>`
    Returns:
      this.CONSTRUCTOR